#!/usr/bin/perl -w

# Example:
# node=10.98.100.118 lnk=0 err iMsg=2 iter=10705529 i=63 0x00a9e4fc_0095e4fd_008de4fe_00a9e4ff 0x00a9e4fc_0095e4fd_008de4fe_00a9e4ff

use strict;
use File::Basename;
use lib(dirname($0));
use pattern5;

my @wLst;

foreach (@ARGV) {
  next unless ($_ =~ /^\s*0x/);
  s/0x//g;

  my @f = split /_/, $_;

  push @wLst, Pattern5->new(@f);
}

foreach my $i (0..$#wLst) {
  print "\n" if ($i > 0);
  print $wLst[$i]->as_string("    ");
}
