#!/usr/bin/perl

# Copy log files from nodes and mimic tnwExerciser output:
# ssh -o ConnectTimeout=3 root@10.98.113.128 grep -e ^-- /root/lnk5.log
# -- END

use strict;
use File::Basename;
use lib(dirname($0));
use node;


foreach my $arg (@ARGV) {
  my ($bp,$nc) = split(/:/, $arg);
  my $hostname = sprintf "nc-%02d-%02d", $bp, $nc;

  my $node = Node->new($hostname);

  open(IN, "ssh -o ConnectTimeout=3 $hostname ls lnk\*.log |");
  my @fileLst = <IN>;
  close(IN);

  foreach my $file (@fileLst) {
    my $cmd = sprintf "ssh -o ConnectTimeout=3 root@%s cat %s", $node->ip(), $file;
    print "$cmd";
    system("$cmd");
    print "-- END\n";
  }
}
